everything related to duct tape audio suite (dtas)
 help / color / mirror / code / Atom feed
From: Eric Wong <e@80x24.org>
To: <dtas-all@nongnu.org>
Cc: e@80x24.org
Subject: [PATCH 1/5] partstats: use Etc.nprocessors on Ruby 2.2+
Date: Sat, 17 Jan 2015 11:49:18 +0000	[thread overview]
Message-ID: <1421495362-31430-2-git-send-email-e@80x24.org> (raw)
In-Reply-To: <1421495362-31430-1-git-send-email-e@80x24.org>

This will likely become more available and faster than GNU nproc(1)
over time.
---
 bin/dtas-partstats | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/bin/dtas-partstats b/bin/dtas-partstats
index 7026b2e..fd9bb0b 100755
--- a/bin/dtas-partstats
+++ b/bin/dtas-partstats
@@ -9,9 +9,15 @@
 require 'dtas/partstats'
 infile = ARGV[0] or abort "usage: #$0 INFILE"
 ps = DTAS::PartStats.new(infile)
-opts = {
-  jobs: `nproc 2>/dev/null || echo 2`.to_i
-}
+
+def nproc
+  require 'etc'
+  Etc.nprocessors
+rescue NoMethodError
+  `nproc 2>/dev/null || echo 2`.to_i
+end
+
+opts = { jobs: nproc }
 stats = ps.run(opts)
 
 headers = ps.key_idx.to_a
-- 
EW



  reply	other threads:[~2015-01-17 11:49 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-01-17 11:49 [PATCH 0/5] misc updates, major sourceedit feature! Eric Wong
2015-01-17 11:49 ` Eric Wong [this message]
2015-01-17 11:49 ` [PATCH 2/5] splitfx: remove unnecessary assignment Eric Wong
2015-01-17 11:49 ` [PATCH 3/5] player: enqueued commands cannot use bypass Eric Wong
2015-01-17 11:49 ` [PATCH 4/5] dtas-console: avoid crashing on failed cue seeks Eric Wong
2015-01-17 11:49 ` [PATCH 5/5] dtas-sourceedit: update player as user saves in the editor Eric Wong

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://80x24.org/dtas/README

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1421495362-31430-2-git-send-email-e@80x24.org \
    --to=e@80x24.org \
    --cc=dtas-all@nongnu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://80x24.org/dtas.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).